Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Member Functions | Public Attributes | List of all members
faiss::VisitedTable Struct Reference

set implementation optimized for fast access. More...

`#include <HNSW.h>`

## Public Member Functions
| VisitedTable (int size)
void | set (int no)
| set flog #no to true
bool | get (int no) const
| get flag #no
void | advance ()
| reset all flags to false

## Public Attributes
std::vector< uint8_t > | visited
int | visno

## Detailed Description

set implementation optimized for fast access.

Definition at line 223 of file HNSW.h.

The documentation for this struct was generated from the following file:

- /data/users/hoss/faiss/HNSW.h